Package org.springframework.jmx.export.metadata

# Class AbstractJmxAttribute

java.lang.Object
org.springframework.jmx.export.metadata.AbstractJmxAttribute

Direct Known Subclasses:
  `ManagedAttribute`, `ManagedMetric`, `ManagedOperation`, `ManagedResource`

public abstract class AbstractJmxAttribute extends Object
Base class for all JMX metadata classes.

Since:
  1.2
Author:
  Rob Harrop

## Constructor Summary

Constructors
Constructor
Description
`AbstractJmxAttribute()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCurrencyTimeLimit()`
Return a currency time limit for this attribute.
`String`
`getDescription()`
Return a description for this attribute.
`void`
`setCurrencyTimeLimit(int currencyTimeLimit)`
Set a currency time limit for this attribute.
`void`
`setDescription(String description)`
Set a description for this attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractJmxAttribute

public AbstractJmxAttribute()

## Method Details

### setDescription

public void setDescription(String description)
Set a description for this attribute.

### getDescription

public String getDescription()
Return a description for this attribute.

### setCurrencyTimeLimit

public void setCurrencyTimeLimit(int currencyTimeLimit)
Set a currency time limit for this attribute.

### getCurrencyTimeLimit

public int getCurrencyTimeLimit()
Return a currency time limit for this attribute.